package it.enea.cruise.controller;

import java.util.List;

import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import it.enea.cruise.service.idp.IdpProvider;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Controller;
import org.springframework.transaction.annotation.EnableTransactionManagement;
import org.springframework.web.bind.annotation.GetMapping;

import it.enea.scp.idp.sdk.model.UserDto;
import it.enea.cruise.service.idp.IEncryptionManager;

@Controller
@Tag(name = "Metodi IDP")
@EnableTransactionManagement
public class idpController {
	
	@Autowired
	IEncryptionManager encManager;
	
	@Autowired
	IdpProvider idpClientManager;
	
	@Operation(description = "Return a list of users", tags = "")
	@GetMapping("/idp/usersFromIdp")
	public ResponseEntity<List<UserDto>> getUserFromIdp(){
		List<UserDto> userDto = idpClientManager.userList();
		
		return new ResponseEntity<List<UserDto>>(userDto,
				// headers,
				HttpStatus.FOUND);

	}
}
