package it.enea.cruise.model.structure;

import java.io.Serializable;
import jakarta.persistence.*;

import org.springframework.data.annotation.Immutable;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;


/**
 * The persistent class for the vw_table_metadata database table.
 * 
 */
@Entity
@Getter
@Setter
@ToString
@Immutable
@NoArgsConstructor
@Table(name="vw_table_metadata", schema="cruise")
public class VwTableMetadata implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	private Integer ctid;
	
	@Column(name="column_name")
	private String columnName;
	
	@Column(name="character_maximum_length")
	private String characterMaximumLength;

	@Column(name="character_octet_length")
	private String characterOctetLength;

	@Column(name="character_set_catalog")
	private String characterSetCatalog;

	@Column(name="character_set_name")
	private String characterSetName;

	@Column(name="character_set_schema")
	private String characterSetSchema;

	@Column(name="collation_catalog")
	private String collationCatalog;

	@Column(name="collation_name")
	private String collationName;

	@Column(name="collation_schema")
	private String collationSchema;

	@Column(name="column_comment")
	private String columnComment;

	@Column(name="column_default")
	private String columnDefault;

	@Column(name="data_type")
	private String dataType;

	@Column(name="datetime_precision")
	private String datetimePrecision;

	@Column(name="domain_catalog")
	private String domainCatalog;

	@Column(name="domain_name")
	private String domainName;

	@Column(name="domain_schema")
	private String domainSchema;

	@Column(name="dtd_identifier")
	private String dtdIdentifier;

	@Column(name="generation_expression")
	private String generationExpression;

	@Column(name="identity_cycle")
	private String identityCycle;

	@Column(name="identity_generation")
	private String identityGeneration;

	@Column(name="identity_increment")
	private String identityIncrement;

	@Column(name="identity_maximum")
	private String identityMaximum;

	@Column(name="identity_minimum")
	private String identityMinimum;

	@Column(name="identity_start")
	private String identityStart;

	@Column(name="interval_precision")
	private String intervalPrecision;

	@Column(name="interval_type")
	private String intervalType;

	@Column(name="is_generated")
	private String isGenerated;

	@Column(name="is_identity")
	private String isIdentity;

	@Column(name="is_nullable")
	private String isNullable;

	@Column(name="is_self_referencing")
	private String isSelfReferencing;

	@Column(name="is_updatable")
	private String isUpdatable;

	@Column(name="maximum_cardinality")
	private String maximumCardinality;

	@Column(name="numeric_precision")
	private String numericPrecision;

	@Column(name="numeric_precision_radix")
	private String numericPrecisionRadix;

	@Column(name="numeric_scale")
	private String numericScale;

	@Column(name="ordinal_position")
	private String ordinalPosition;

	@Column(name="scope_catalog")
	private String scopeCatalog;

	@Column(name="scope_name")
	private String scopeName;

	@Column(name="scope_schema")
	private String scopeSchema;

	@Column(name="table_catalog")
	private String tableCatalog;

	@Column(name="table_name")
	private String tableName;

	@Column(name="table_schema")
	private String tableSchema;

	@Column(name="udt_catalog")
	private String udtCatalog;

	@Column(name="udt_name")
	private String udtName;

	@Column(name="udt_schema")
	private String udtSchema;
	
	@Column(name="table_description")
	private String tableDescription;

}