package it.enea.cruise.model.user;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;
import org.springframework.stereotype.Component;

import jakarta.persistence.*;
import java.io.Serializable;
import java.util.Date;

@Entity
@Getter
@Setter
@ToString
@Component
@NoArgsConstructor
@Table(name= "devices")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class Device implements Serializable {
		
	@Id
	@Column(name = "deviceid")
	private String id;
	
	private int supplierid;
		
	@ManyToOne
	@JoinColumn(name="userid", nullable=false, insertable = false, updatable = false)
	private User user;
	
	private Integer userid;
	
	private Integer identificationmethod;
	
	private String altdeviceid;
	
	private String devicename;
	
	private String description;
	
	private String note;
	
	private String devicetype;
	
	private Integer devicestatus;
	
	private Integer usetype;
	
	private String georeferenceformat;
	
	private Double georeferencex;
	
	private Double georeferencey;
	
	private Double georeferencez;
	
	private String activationdate;
	
	private Date deactivationdate;
}
