package it.enea.cruise.model.user;

import java.io.Serializable;
import java.util.List;

import jakarta.persistence.*;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;


/**
 * The persistent class for the flows database table.
 * 
 */
@Entity
@Getter
@Setter
@ToString
@NoArgsConstructor
@Table(name="flows")
public class Flow implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	@Column(name = "flowid")
	private Integer id;

	private String channeldescription;

	private String cronfrequence;

	private String dataformatreference;

	private Integer datasyntax;

	private String description;

	private String endtime;

	private String flowname;

	private Integer frequence;

	private Integer frequencederogation;

	private Integer gdprclassification;

	private String measurecronfrequence;

	private Integer measurefrequence;

	private Integer measurefrequencederogation;

	private Integer measurementtable;

	private Integer measurementtype;

	private String note;

	private String onerrordo;

	private String starttime;

	private Integer supplierid;

	private String userightsstatement;

	@OneToMany (mappedBy="flow")
	private List<FlowCommunity> flowsCommunities;
	
}