package it.enea.cruise.model.user;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import jakarta.persistence.*;
import lombok.Getter;
import lombok.Setter;

import java.util.List;


@Getter
@Setter
@Entity
@Table (name= "localqueryparameters", schema = "cruise")
public class LocalQueryParameter {
	
	@Id
	@GeneratedValue(strategy = GenerationType.AUTO)
	@Column(name="localqueryparameterid")
	private Long paramId;

	private String description;

	private String name;
	
	private String type;
	
	private String example;
	
	private String familytype;
	
	private boolean useInFrontEnd;
	
	private String unitofmeasure;	
	
	@ManyToMany(mappedBy = "parameters")
	//@JsonBackReference(value = "parametricquery-parameter")
	@JsonIgnoreProperties("parameters")
	private List<ParametricQuery> parametricquery;

	
	public String getDescription(String language) {
		if (description.contains("|")) {
			String[] result = description.split(" \\| ");
			if (language.contains("it")) {
				return (result[0] + " | " + result[1]);
			} else {
				if (result.length > 3) {
					return (result[2] + " | " + result[3]);
				} else
					return (result[0] + " | " + result[1]);
			}
		} else
			return "";
	}
}
