package it.enea.cruise.model.user;

import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Getter;
import lombok.Setter;

import jakarta.persistence.*;
import java.util.ArrayList;
import java.util.List;

@Entity
@Getter
@Setter
@Table(name = "t_roles")
public class Role {

	@Id
	private Long id;

	private String description;

	@Column(name = "rolename")
	private String rolename;

	@OneToMany(mappedBy = "role", cascade = CascadeType.ALL, orphanRemoval = true)
	@JsonIgnore
	private List<UserRole> userRoles = new ArrayList<>();
	
	@Override
	public String toString() {
		String result = "{\"id\":" + this.id + ","
				+ "\"rolename\":\"" + this.rolename + "\","
				+ "\"description\":\"" + this.description + "\""
				+ "}";
		return result;
	}

}
