package it.enea.cruise.service.idp;

import it.enea.cruise.dto.UserToken;
import it.enea.cruise.model.user.User;
import it.enea.scp.idp.sdk.model.UserDto;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Profile;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Calendar;
import java.util.Date;
import java.util.List;

@Slf4j
@Service
@RequiredArgsConstructor
@Profile("test")
@Transactional
public class TestIdpClient implements IdpProvider {
    @Value("${idp.testAdminEmail}")
    String userAdminEmail;

    @Value("${idp.testAdminPwd}")
    String userAdminPwd;

    @Value("${idp.testUserEmail}")
    String testUserEmail;

    @Value("${idp.testUserPwd}")
    String testUserPwd;

    private User user = new User();

    @Override
    public String getTokenFromUsernameAndPassword(String username, String password) {
        return "the_token";
    }

    @Override
    public User login(String username, String password) {
        if (!userAdminEmail.equalsIgnoreCase(username) && !testUserEmail.equalsIgnoreCase(username)) return null;

        Calendar cal = Calendar.getInstance();
        cal.setTime(new Date());
        cal.add(Calendar.MINUTE, 10);
        user.setToken(UserToken.builder().creation(new Date()).value("the_token").expiration(cal.getTime()).build());
        user.setUsername(username);
        return user;
    }

    @Override
    public User getUserByToken(String token) {
        return user;
    }

    @Override
    public UserDto getUserByEmail(String email) {
        UserDto user = new UserDto();
        user.setEmail(email);
        return user;
    }

    @Override
    public boolean logout(String token) {
        return true;
    }

    @Override
    public boolean isValid(String token) {
        return true;
    }

    @Override
    public List<UserDto> userList() {
        return List.of();
    }

    @Override
    public Boolean deleteUser(String email) {
        return null;
    }

    @Override
    public Boolean createUser(UserDto newUser) {
        return null;
    }

    @Override
    public Boolean updateUser(UserDto user) {
        return null;
    }

    @Override
    public UserDto getUserFromUUID(String uuid) {
        return null;
    }

    @Override
    public Boolean updatePassword(String token, String password) {
        return null;
    }
}
