package it.enea.cruise.service.shared;

import it.enea.cruise.model.user.User;
import it.enea.cruise.repositories.user.UserRepository;
import it.enea.cruise.service.idp.IdpProvider;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Component;

@Component
@RequiredArgsConstructor
public class UserUtil {
    private final IdpProvider idpClientManager;
    private final UserRepository userRepository;
    public User getLocalUserFromToken(String token) {
            User user = new User();
        Boolean isValid = idpClientManager.isValid(token);

        if (isValid) {
            User userdto = idpClientManager.getUserByToken(token);
            user = userRepository.findBySubject(userdto.getUuid());
        }
        return user;
    }
}
